import QtQuick 2.2
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem
import Ubuntu.Components.Popups 1.0
import "../components"
import "../dict"

Page {
    id: pageSearch
    title: i18n.tr("AesyDict")
    state: "search"
    states: [
        PageHeadState {
            name: "default"
            head: pageSearch.head
            actions: [
                Action {
                    iconName: "search"
                    onTriggered: pageSearch.state = "search"
                }
                ,
                Action {
                    iconName: "attachment"
                    onTriggered: {
                        mainStack.push(Qt.resolvedUrl("../dict/PageDictCenter.qml"))
                    }
                }
            ]
        },
        PageHeadState {
            id: headerState
            name: "search"
            head: pageSearch.head
            actions: [
                Action {
                    id: acSearchStart
                    iconName: "search"
                    onTriggered: {
                        // TODO  start search session
                    }
                }
            ]
            backAction: Action {
                id: acleaveSearch
                text: i18n.tr("back")
                iconName: "back"
                onTriggered: pageSearch.state = "default"
            }
            contents: TextField {
                anchors {
                    right: parent.right; rightMargin: units.gu(1)
                }

                placeholderText: i18n.tr("Please input a word")
            }
        }
    ]

    flickable: null

    Flickable {
        id: scrollArea
        boundsBehavior: (contentHeight > height) ? Flickable.DragAndOvershootBounds : Flickable.StopAtBounds
        anchors.fill: parent
        contentWidth: width
        contentHeight: columnInnerArea.height + units.gu(3)
        clip: true

        Column {
            id: columnInnerArea

//            spacing: units.gu(1)
            anchors {
                top: parent.top;
                //                topMargin: units.gu(1)
                margins: units.gu(1)
                left: parent.left; right: parent.right
                //                leftMargin: units.gu(1); rightMargin: units.gu(1)
            }
            height: childrenRect.height

            ListItem.Caption {
                text: "English - Chinese Dictionary"
            }
            ListItem.ThinDivider {}

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Caption {
                text: "English - Chinese Dictionary"
            }
            ListItem.ThinDivider {}

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Caption {
                text: "English - Chinese Dictionary"
            }
            ListItem.ThinDivider {}

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

            ListItem.Standard {
                text: "aaa"
            }

        } // columnInnerArea
    }
}

